#ifndef _SCPP_ArrowButtonEH_h
#define _SCPP_ArrowButtonEH_h

#ifndef __GUI_PASSIVE__
#include <scxx.h>
#endif // __GUI_PASSIVE__

#include <GUITypes.h>
#include <GUIMirrorTypes.h>

#ifndef __GUI_PASSIVE__
active 
#endif // __GUI_PASSIVE__
class ArrowButtonEventHandler {
public:

  ArrowButtonEventHandler(Boolean sequential=GUIBool::NO_SEQUENTIAL, int debug=0);
  virtual ~ArrowButtonEventHandler();
  
  virtual void MousePressEvent() // callback entry.
#ifndef __GUI_PASSIVE__
 = 0; // class active abstract.
#else
  {} // class passive with dummy methode.
#endif // __GUI_PASSIVE__

  virtual void PressedEvent() // callback entry.
#ifndef __GUI_PASSIVE__
 = 0; // class active abstract.
#else
  {} // class passive with dummy methode.
#endif // __GUI_PASSIVE__

  virtual void MouseReleaseEvent() // callback entry.
#ifndef __GUI_PASSIVE__
 = 0; // class active abstract.
#else
  {} // class passive with dummy methode.
#endif // __GUI_PASSIVE__
};

#endif /* _SCPP_ArrowButtonEH_h */






