// -*- mode: c++ ; outline-regexp:"[ 	/]*--------------------" -*-
// $Id: $
// 
// Contens:	BasicPushButtonEH.h
//
//		
//		
//
// Author :	Walter Pineda
//              EPFL DI-LTI     pineda@di.epfl.ch
//              1015 Ecublens   + 41 21 693 4652
//              Switzerland     + 41 21 693 6600 (Fax)
//
// Creation : Tue May  9 1995
//
// $Author: $
// $Date:  $
// $Revision: $
// $State: $
// $Header:  $
// $Locker:  $
// $Log: $

#ifndef _SCPP_BasicPushButtonEH_h
#define _SCPP_BasicPushButtonEH_h

#ifndef __GUI_PASSIVE__
#include <scxx.h>
#endif // __GUI_PASSIVE__

#include <GUITypes.h>
#include <GUIMirrorTypes.h>

#ifndef __GUI_PASSIVE__
active 
#endif // __GUI_PASSIVE__
class BasicPushButtonEventHandler {
public:

  BasicPushButtonEventHandler(Boolean sequential=GUIBool::NO_SEQUENTIAL,
			      int debug=0);
  virtual ~BasicPushButtonEventHandler();

  virtual void PressedEvent() // callback entry.
#ifndef __GUI_PASSIVE__
 = 0; // class active abstract.
#else
  {} // class passive with dummy methode.
#endif // __GUI_PASSIVE__
};

#endif /* _SCPP_BasicPushButtonEH_h */






