// -*- mode: c++ ; outline-regexp:"[ 	/]*--------------------" -*-
// $Id: $
// 
// Contens:	EHFileSelection.h
//
//		
//		
//
// Author :	Walter Pineda
//              EPFL DI-LTI     pineda@di.epfl.ch
//              1015 Ecublens   + 41 21 693 4652
//              Switzerland     + 41 21 693 6600 (Fax)
//
// Creation : Tue May 27 1997
//
// $Author: $
// $Date:  $
// $Revision: $
// $State: $
// $Header:  $
// $Locker:  $
// $Log: $

#ifndef __EHFileSelection__H__
#define __EHFileSelection__H__

#ifndef __GUI_PASSIVE__
#include <scxx.h>
#endif // __GUI_PASSIVE__

#include <GUITypes.h>
#include <GUIMirrorTypes.h>

#ifndef __GUI_PASSIVE__
active 
#endif // __GUI_PASSIVE__
class FileSelectionEventHandler {
public:

  FileSelectionEventHandler(Boolean sequential=GUIBool::NO_SEQUENTIAL, int debug=0);
  virtual ~FileSelectionEventHandler();

  virtual void SelectedFileEvent() // callback entry.
#ifndef __GUI_PASSIVE__
 = 0; // class active abstract.
#else
  {} // class passive with dummy methode.
#endif // __GUI_PASSIVE__

  virtual void NoMatchEvent() // callback entry.
#ifndef __GUI_PASSIVE__
 = 0; // class active abstract.
#else
  {} // class passive with dummy methode.
#endif // __GUI_PASSIVE__

  virtual void CancelEvent() // callback entry.
#ifndef __GUI_PASSIVE__
 = 0; // class active abstract.
#else
  {} // class passive with dummy methode.
#endif // __GUI_PASSIVE__

  virtual void HelpEvent() // callback entry.
#ifndef __GUI_PASSIVE__
 = 0; // class active abstract.
#else
  {} // class passive with dummy methode.
#endif // __GUI_PASSIVE__
};


#endif
