// -*- mode: c++ ; outline-regexp:"[ 	/]*--------------------" -*-
// $Id: $
// 
// Contens:	BasicPushButton.h
//
//		
//		
//
// Author :	Walter Pineda
//              EPFL DI-LTI     pineda@di.epfl.ch
//              1015 Ecublens   + 41 21 693 4652
//              Switzerland     + 41 21 693 6600 (Fax)
//
// Creation : Tue May  9 1995
//
// $Author: $
// $Date:  $
// $Revision: $
// $State: $
// $Header:  $
// $Locker:  $
// $Log: $

#ifndef _SCPP_BasicPushButton_h
#define _SCPP_BasicPushButton_h

#include <scxx.h>
#include <GUIMirrorTypes.h>
#include <EHBasicPushButton.h>
#include <GWidget.h>

class PBasicPushButton;

/*
 BasicPushButton is a base class for all kind of PushButtons.
*/

active class BasicPushButton : public GWidget, 
                               public BasicPushButtonEventHandler {
public:

  BasicPushButton(Boolean sequential=GUIBool::NO_SEQUENTIAL, int debug = 0);

  // accepted when the button has been pressed.
  void Pressed(Boolean sensitive=GUIBool::SENSITIVE, 
	       Boolean reset=GUIBool::NO_RESET);

  PBasicPushButton *Passive();

  void PressedEvent();  // private, callback entry.

  void InitImplementation(PBasicPushButton *implm);

private :

  PBasicPushButton *impl;

  @BasicPushButton();
};

#endif /* _SCPP_BasicPushButton_h */






