// -*- mode: c++ ; outline-regexp:"[ 	/]*--------------------" -*-
// $Id: $
// 
// Contens:	Menu.h
//
//		
//		
//
// Author :	Walter Pineda
//              EPFL DI-LTI     pineda@di.epfl.ch
//              1015 Ecublens   + 41 21 693 4652
//              Switzerland     + 41 21 693 6600 (Fax)
//
// Creation : Tue May  9 1995
//
// $Author: $
// $Date:  $
// $Revision: $
// $State: $
// $Header:  $
// $Locker:  $
// $Log: $

#ifndef _SCPP_Menu_h
#define _SCPP_Menu_h


#include <scxx.h>
#include <SimpleButtonContainer.h>

class PMenu;

/*
 Menu is a base class for different types of menu containers.
*/

active class Menu : public SimpleButtonContainer {

public:

  Menu(Boolean sequential=False, int debug=0);

  // Motif Resources for the associated PullDownMenu (from RowColumn) :
  void Resources(int entryBorder=-1,
		 GUIVerticalAlignment::Value entryVerticalAlignment=
		 GUIVerticalAlignment::DEFAULT,
		 int marginHeight=-1,
		 int marginWidth=-1,
		 short numColumns=-1,
		 GUIOrientation::Value orientation=GUIOrientation::DEFAULT,
		 GUIPacking::Value packing=GUIPacking::DEFAULT,
		 int spacing=-1);
  
  PMenu *Passive();
  
  void InitImplementation(PMenu * implm);

  protected :
  
  PMenu *impl;
};


extern PMenu & MyGPassive(Menu &g);



#endif /* _SCPP_Menu_h */
